### Constructor

# Gtk MnemonicTrigger new

#### Declaration [src]

    GtkShortcutTrigger*
    gtk_mnemonic_trigger_new (
      guint keyval
    )

#### Description [src]

Creates a `GtkShortcutTrigger` that will trigger whenever the key with the given `keyval` is pressed and mnemonics have been activated.

Mnemonics are activated by calling code when a key event with the right modifiers is detected.

#### Parameters

`keyval` | `guint`
| The keyval to trigger for.

#### Return value

Returns: | `GtkMnemonicTrigger`
| A new `GtkShortcutTrigger`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.